## librem5-base 66pureos1~byz4

=== debian/changelog ===
librem5-base (66pureos1~byz4) byzantium; urgency=medium

  * default: eog: Use eog for TryExec

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 27 May 2025 07:53:14 +0200

librem5-base (66pureos1~byz3) byzantium; urgency=medium

  * defaults: gschema: Add configuration for eog
  * gschema: Drop custom user-agent for Epiphany
  * defaults: Tune zram and related parameters for swap-less usage
  * defaults: sysctl: Panic on oopses, RCU stalls, hung tasks and lockups
  * defaults: Set phoc's scheduling policy to real-time
  * defaults: Add eog tweak to open pictures dir by default

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 28 Mar 2025 19:43:42 +0100

librem5-base (66pureos1~byz2) byzantium; urgency=medium

  * defaults: librem5-pm.udev: Only disable event polling for built-in SD reader

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 10 Mar 2025 01:11:02 +0100

librem5-base (66pureos1~byz1) byzantium; urgency=medium

  * Backport to byzantium
  * profile.d: Enable WebKit's dmabuf renderer in byzantium

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 31 Oct 2024 11:34:33 +0100

librem5-base (66pureos1~cri1) crimson; urgency=medium

  * defaults: Configure multi-gen LRU thrashing prevention
  * gschema: Drop custom user-agent for Epiphany
  * profile.d: Temporarily disable WebKit's dmabuf renderer
  * CI: Switch to official pipeline definitions
  * d/gbp: Switch to crimson

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 31 Oct 2024 10:58:06 +0100

librem5-base (65pureos1~byz1) byzantium; urgency=medium

  * Rebuild for byzantium

 -- Guido Günther <agx@sigxcpu.org>  Thu, 12 Oct 2023 09:12:27 +0200

librem5-base (65pureos1) crimson; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * gnome-phone-recommends-all: Fix a typo in haegtesse

  [ Evangelos Ribeiro Tzaras ]
  * Demote firefox-esr-mobile-config to recommends
    firefox-esr is in recommends as well, after all.

  [ Guido Günther ]
  * Add mpris-proxy to user session.
    Allows to control music playback from e.g. a cars entertainment unit and
    shows artist information.
  * gitignore: Ignore more package build dirs and files
  * Add package that enables network connectivity checks.
    This is modelled after network-manager-config-connectivity-debian.
    Since people might consider this a potential privacy leak we don't make
    it a hard dependency.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 07 Oct 2023 14:07:49 +0200

librem5-base (64pureos1~byz1) byzantium; urgency=medium

  * Backport to byzantium
  * Changes since 62pureos1 after reverting crimson-specific ones:
    - gnome-phone: Move haegtesse to recommends
    - Mark crucial packages as protected

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 12 Jul 2023 07:39:03 +0200

librem5-base (64pureos1) crimson; urgency=medium

  * Mark crucial packages as protected

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 12 Jul 2023 04:27:32 +0200

librem5-base (63pureos2) crimson; urgency=medium

  * base: Add pulseaudio. This helps apt's resolver along until
    we switch to pw.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 22 Jun 2023 17:41:52 +0200

librem5-base (63pureos1) crimson; urgency=medium

  * Drop gnome-getting-started-docs.
    Not present in GNOME 42
  * d/gbp.conf: Switch to d/latest.
    This will be the default for crimson
  * base-recomends-all: Add systemd-resolved
  * ci: Switch to landing
  * base: Drop gthd.
    Not needed anymore
  * gnome-phone: Move haegtesse to recommends.
    It's only needed on the devkit and will be there but users
    should be able to remove it.
  * gnome-recommends: Drop phosh-{mobile-settings,tour}
    They're pulled in via phosh-core.
  * Drop osk-wayland
    squeekboard now uses the alternative system

 -- Guido Günther <agx@sigxcpu.org>  Thu, 22 Jun 2023 16:00:00 +0200

librem5-base (62pureos1) byzantium; urgency=medium

  * shipmode: Enable Hi-Z mode using kernel interface
  * shipmode: Fix the bq25890 sysfs path for recent kernels
  * d/control: Bump linux-image-librem5 dependency

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 20 Jun 2023 11:38:47 +0200

librem5-base (61pureos1) byzantium; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * defaults: systemd: Force poweroff instead of halt

  [ Alistair Francis ]
  * pm: udev: Use DEVPATH instead of ID_PATH

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 13 Jun 2023 10:06:53 +0200

librem5-base (60pureos1) byzantium; urgency=medium

  [ Matthias Klumpp ]
  * gnome-base-recommends: Add pureos-flatpak-defaults

  [ Guido Günther ]
  * udev: Make libinput ignore PMIC key press events

  [ Angus Ainslie ]
  * lockdown-support: add magnetometer support
  * usbguard: librem5.conf: Add the Sierra Wireless EM7565
  * usbguard: librem5.conf: Add the SIMCOM 79xx modem

  [ Sebastian Krzyszkowiak ]
  * defaults: librem5-pm: Enable simple_ondemand governor for DRAM
  * default: Enable quick resume support in ModemManager
  * d/control: Update dependencies to support MM's quick suspend resume

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 05 May 2023 00:19:45 +0200

librem5-base (59pureos1) byzantium; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * defaults: Add PulseAudio config for DisplayPort audio hotplug
  * d/control: Move kernel dependency to librem5-base-defaults

  [ Guido Günther ]
  * dev-tools: Move all packages to Recommends:
  * dev-tools: Recommend l5-devscripts

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 07 Apr 2023 22:24:42 +0200

librem5-base (58pureos1) byzantium; urgency=medium

  * defaults: Enable WiFi powersave with brcmfmac driver
  * defaults: usb_gadget: Run service as a dependency of UDC device unit
  * defaults: usb_gadget: Set Before= relation to network.target
  * defaults: librem5-pm: Enable NO_SUSPEND quirk and adjust PM properties


=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with germinate

override_dh_installudev:
	dh_installudev --name=librem5-devkit-sgtl5000 --priority=85
	dh_installudev --name=librem5-pm --priority=85
	dh_installudev --name=librem5-modem --priority=85
	dh_installudev --name=librem5-cameras --priority=85
	dh_installudev --name=librem5-hdmi-audio --priority=85
	dh_installudev --name=librem5-storage --priority=85
	dh_installudev --name=librem5-lockdown-support --priority=85
	dh_installudev --name=librem5-brcmfmac --priority=85
	dh_installudev --name=librem5-power-key --priority=85

override_dh_installsystemd:
	dh_installsystemd --no-start --name=usb_gadget
	dh_installsystemd --no-start --name=bluetooth-brcmfmac
	dh_installsystemd --no-start --name=librem5-lockdown-support
	dh_installsystemd --no-start --name=librem5-mglru

override_dh_installsystemduser:
	dh_installsystemduser --name=mpris-proxy

override_dh_auto_test:
	desktop-file-validate default/hidden-apps/*.desktop

execute_after_dh_fixperms:
	chmod 600 $(CURDIR)/debian/librem5-base-defaults/etc/usbguard/rules.d/librem5.conf

## librem5-base 73pureos1

=== Makefile ===
#!/usr/bin/make

all: check

check:
	shellcheck default/gadget/usb_gadget_start
	shellcheck default/gadget/usb_gadget_stop

## librem5-base 66pureos1~byz5

=== debian/changelog ===
librem5-base (66pureos1~byz5) byzantium; urgency=medium

  * d/rules: Don't restart USB gadget and Bluetooth services on upgrades
  * default: eog.sh: Fix argument splitting

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 19 Dec 2025 13:53:06 +0100

=== debian/control ===
Source: librem5-base
Section: metapackages
Priority: optional
Maintainer: librem5-maintainers <librem-5-dev@lists.community.puri.sm>
Uploaders:
 Guido Günther <agx@sigxcpu.org>
Build-Depends:
 debhelper (>= 10),
 desktop-file-utils,
 germinate (>= 1.18),
 shellcheck,
Standards-Version: 4.1.4
Homepage: https://source.puri.sm/Librem5/librem5-base

Package: librem5-base
Architecture: all
Priority: optional
Protected: yes
Depends:
 librem5-base-defaults (>= ${source:Version}),
 ${germinate:Depends},
 ${misc:Depends},
Recommends:
 ${germinate:Recommends}
Description: Metapackage for the Librem5
 This package contains base dependencies for the librem5
 .
 It should be installed on every librem5.

Package: librem5-gnome-base
Architecture: all
Priority: optional
Protected: yes
Depends:
 librem5-base (>= ${source:Version}),
 ${germinate:Depends},
 ${misc:Depends},
Recommends:
 ${germinate:Recommends}
Description: GNOME base metapackage for the Librem5
 This package contains the basic GNOME system used on the Librem5
 .
 It should be installed on every librem5.

Package: librem5-gnome-phone
Architecture: all
Protected: yes
Depends:
 ${germinate:Depends},
 ${misc:Depends},
Recommends:
 ${germinate:Recommends}
Description: GNOME PTSN telephony metapackage for the Librem5
 This package contains GNOME apps for making PTSN telephone calls on
 the Librem5
 .
 It should be installed on every librem5.

Package: librem5-gnome
Architecture: all
Protected: yes
Depends:
 ${germinate:Depends},
 ${misc:Depends},
Recommends:
 ${germinate:Recommends}
Description: GNOME metapackage for the Librem5
 This package contains the GNOME apps and other high-level GNOME
 metapackages for the Librem5
 .
 It should be installed on every librem5.

Package: librem5-gnome-notfit
Architecture: all
Depends:
 ${germinate:Depends},
 ${misc:Depends},
Recommends:
 ${germinate:Recommends}
Description: GNOME notfit metapackage for the Librem5
 This package contains GNOME apps that aren't fully working
 on phones like e.g. requiring the use of landscape mode.

Package: librem5-non-gnome
Architecture: all
Protected: yes
Depends:
 ${germinate:Depends},
 ${misc:Depends},
Recommends:
 ${germinate:Recommends}
Description: Non-GNOME metapackage for the Librem5
 This package contains non-GNOME packages for Librem5
 that don't really fit into base metapackage.
 .
 It should be installed on every librem5.

Package: librem5-dev-tools
Architecture: all
Depends:
 librem5-base (>= ${source:Version}),
 ${germinate:Depends},
 ${misc:Depends},
Recommends:
 ${germinate:Recommends}
Description: Librem5 development tools
 This package contains development tools for the Librem5.
 .
 It's usually not needed on the librem5 but only on development machines.

Package: librem5-gnome-dev
Architecture: all
Depends:
 librem5-dev-tools (>= ${source:Version}),
 ${germinate:Depends},
 ${misc:Depends},
Recommends:
 ${germinate:Recommends}
Description: Librem5 GNOME development packages
 This package contains the Librem5 GNOME development packages.
 .
 It's usually not needed on the librem5 but only on development machines.

Package: librem5-gnome-debug
Architecture: all
Depends:
 librem5-dev-tools (>= ${source:Version}),
 ${germinate:Depends},
 ${misc:Depends},
Recommends:
 ${germinate:Recommends}
Build-Profiles: <pkg.librem5-base.dbgpkg>
Description: Librem5 GNOME debug packages
 This package contains the Librem5 GNOME debug packages.
 .
 It's usually not needed on the librem5 but only on development machines.

Package: librem5-base-defaults
Architecture: all
Section: x11
Protected: yes
Depends:
 adduser,
 gnome-themes-extra-data,
 ${misc:Depends},
 ${shlibs:Depends},
# Either hardware or emulator
 linux-image-librem5 (>= 6.3.7pureos2) <!pkg.librem5-base.nokernel>
  | linux-image-amd64 <!pkg.librem5-base.nokernel>,
Recommends:
 systemd-zram-generator,
 usbguard,
Breaks:
 haegtesse (<< 0.1.1),
 librem5-devkit-base (<< 0.0.20~),
 librem5-theme-default (<= 1),
 libwebkit2gtk-4.0-37 (<< 2.30.1),
 phosh (<< 0.14.1),
 squeekboard (<< 1.15.0),
 wys (<< 0.1.1),
 libglx-mesa0 (<< 21.2.6),
 modemmanager (<< 1.18.6-1pureos4),
Replaces:
 librem5-devkit-base (<< 0.0.20~),
 librem5-theme-default (<= 1),
Provides:
 librem5-theme-default,
Description: Default themes and configuration for the Librem-5
 This package contains configuration and themes for the librem5.
 It ships:
 .
  * policy kit configuration
  * default gsettings
  * artwork
 .
 It should be installed on every librem5.

Package: network-manager-config-connectivity-pureos
Architecture: all
Section: net
Depends: network-manager,
Description: NetworkManager configuration to enable connectivity checking
 This package contains a configuration file which enables NetworkManager's
 connectivity checking functionality.
 .
 NetworkManager will try to connect to a Purism server to determine the
 connection status.
 .
 This is particularly useful for captive portal detection.
 .
 No user data is transmitted in the connectivity checks, but merely contacting
 the Purism connectivity check servers reveals that the user is running a
 PureOS(-based) operating system with NetworkManager.

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,8 @@
 	dh_installudev --name=librem5-power-key --priority=85
 
 override_dh_installsystemd:
-	dh_installsystemd --no-start --name=usb_gadget
-	dh_installsystemd --no-start --name=bluetooth-brcmfmac
+	dh_installsystemd --no-start --no-stop-on-upgrade --name=usb_gadget
+	dh_installsystemd --no-start --no-stop-on-upgrade --name=bluetooth-brcmfmac
 	dh_installsystemd --no-start --name=librem5-lockdown-support
 	dh_installsystemd --no-start --name=librem5-mglru

## librem5-base 71pureos1

=== debian/changelog ===
librem5-base (71pureos1) crimson; urgency=medium

  * librem5-base: Recommend dbus-broker

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 20 Oct 2025 17:12:22 +0200

librem5-base (70pureos2) crimson; urgency=medium

  * base-defaults: Use rootfs resize from flash-root-init

 -- Jonathon Hall <jonathon.hall@puri.sm>  Tue, 09 Sep 2025 15:36:39 -0400

librem5-base (70pureos1) crimson; urgency=medium

  [ Jonathon Hall ]
  * Reduce redundant dependencies

  [ Sebastian Krzyszkowiak ]
  * librem5-gnome-recommends: Add orca
  * Move flatpak and pureos-store-plugin-flatpak to Recommends
  * base-recommends: Add network-manager-config-connectivity-pureos
  * gnome-base: Add network-manager-{openvpn,pptp,sstp}-gnome to Recommends

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sun, 29 Jun 2025 10:24:48 +0200

librem5-base (69pureos2) crimson; urgency=medium

  * default: Restore click-policy=single for Nautilus

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 28 May 2025 08:20:56 +0200

librem5-base (69pureos1) crimson; urgency=medium

  * default: eog: Use eog for TryExec
  * default: Disable etnaviv's TS buffer handling

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 27 May 2025 07:51:24 +0200

librem5-base (68pureos1) crimson; urgency=medium

  * gnome: Replace kgx with gnome-console
  * default: gschema: Drop Nautilus overrides
  * gnome: Replace gedit with gnome-text-editor
  * defaults: gschema: Add configuration for eog
  * default: ucm2: Use EQ correction for Speaker
  * default: audio: Make librem5.state file versioned
  * defaults: Tune zram and related parameters for swap-less usage
  * defaults: sysctl: Panic on oopses, RCU stalls, hung tasks and lockups
  * defaults: Set phoc's scheduling policy to real-time
  * gnome-recommends: Use phosh-full metapackage
  * defaults: Add eog tweak to open pictures dir by default
  * defaults: gschema: Update force-adaptive list for crimson

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 28 Mar 2025 19:31:07 +0100

librem5-base (67pureos1) crimson; urgency=medium

  * non-gnome-recommends: Install pureos-webext
  * base-recommends: Install xdg-utils
  * base-defaults: Configure WirePlumber to only handle video
  * defaults: Remove obsolete ETNA_MESA_DEBUG=nir
  * defaults: Move resize-rootfs and kernel module config from librem5-devkit-base

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 14 Mar 2025 02:27:40 +0100

librem5-base (66pureos1~cri4) crimson; urgency=medium

  * Revert "profile.d: Temporarily disable WebKit's dmabuf renderer"

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 13 Mar 2025 01:56:35 +0100

librem5-base (66pureos1~cri3) crimson; urgency=medium

  * defaults: librem5-pm.udev: Only disable event polling for built-in SD reader

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 10 Mar 2025 01:15:06 +0100

librem5-base (66pureos1~cri2) crimson; urgency=medium

  * defaults: Move simple-card config, fixes audio input/output

 -- Jonathon Hall <jonathon.hall@puri.sm>  Fri, 07 Feb 2025 10:11:26 -0500

## librem5-base 72pureos1

=== debian/changelog ===
librem5-base (72pureos1) crimson; urgency=medium

  * defaults: systemd-halt.service.d: Move SuccessAction to [Unit] section

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sun, 30 Nov 2025 14:13:13 +0100

## librem5-base 73pureos1

=== debian/changelog ===
librem5-base (73pureos1) crimson; urgency=medium

  * defaults: Drop ModemManager polkit rule
  * d/rules: Don't restart USB gadget and Bluetooth services on upgrades
  * gnome-base-recommends: Add low-memory-monitor
  * base: Add PulseAudio modules to dependencies and recommends
  * default: pulse: Adjust fragment count and size
  * default: audio: Add OpenAL configuration
  * default: gschema: Add default settings for Gapless
  * gnome / gnome-base: Don't pull phosh-full in
  * gnome: Move user facing apps to Recommends
  * non-gnome: Add gapless and livi to Recommends
  * default: eog.sh: Fix argument splitting
  * default: audio: Only disable automatic switch to HSP/HFP on Redpine cards
  * default: Install GSettings override with dh_installgsettings
  * gnome: Depend on pureos-gnome-settings
  * defaults: gsettings: Drop deprecated search-engines entry
  * base: Make gnss-share a strong dependency

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 19 Dec 2025 13:44:27 +0100

=== debian/control ===
--- 
+++ 
@@ -148,6 +148,7 @@
  linux-image-librem5 (>= 6.3.7pureos2) <!pkg.librem5-base.nokernel>
   | linux-image-amd64 <!pkg.librem5-base.nokernel>,
 Recommends:
+ flash-root-init,
  systemd-zram-generator,
  usbguard,
 Breaks:

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 %:
 	dh $@ --with germinate
+
+override_dh_installgsettings:
+	dh_installgsettings --priority=21
 
 override_dh_installudev:
 	dh_installudev --name=librem5-devkit-sgtl5000 --priority=85
@@ -12,6 +15,7 @@
 	dh_installudev --name=librem5-storage --priority=85
 	dh_installudev --name=librem5-lockdown-support --priority=85
 	dh_installudev --name=librem5-brcmfmac --priority=85
+	dh_installudev --name=librem5-redpine --priority=85
 	dh_installudev --name=librem5-power-key --priority=85
 
 override_dh_installsystemd:
@@ -22,6 +26,7 @@
 
 override_dh_installsystemduser:
 	dh_installsystemduser --name=mpris-proxy
+	dh_installsystemduser --name=pulseaudio-redpine
 
 override_dh_auto_test:
 	desktop-file-validate default/hidden-apps/*.desktop

=== debian/tests/control ===
# librem5-base must not pull in openssh-server
Test-Command: ! dpkg -s openssh-server
Restrictions: superficial, allow-stderr
Depends: librem5-base

# librem5-gnome must have shell
Test-Command: dpkg -s phosh
Restrictions: superficial, allow-stderr
Depends: librem5-gnome

## librem5-base 74pureos1

=== debian/changelog ===
librem5-base (74pureos1) crimson; urgency=medium

  * default: audio: pulse: Tweak the paths for device detection
  * gnome-base-recommends: Add pureos-upgrade
  * d/control: Make librem5-base-defaults depend on i2c-tools

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 13 Feb 2026 14:15:46 +0100

=== debian/control ===
--- 
+++ 
@@ -142,6 +142,7 @@
 Depends:
  adduser,
  gnome-themes-extra-data,
+ i2c-tools,
  ${misc:Depends},
  ${shlibs:Depends},
 # Either hardware or emulator
